export declare class OidcUser {
    identityToken: string;
    sessionState: any;
    accessToken: string;
    tokenType: string;
    scope: string;
    profile: OidcProfile;
    expiresAt: number;
    state: any;
    identityTokenData: any;
    accessTokenData: any;
    constructor(identityToken?: string, sessionState?: any, accessToken?: string, tokenType?: string, scope?: string, profile?: OidcProfile, expiresAt?: number, state?: any, identityTokenData?: any, accessTokenData?: any);
    readonly expiresIn: number;
    readonly scopes: string[];
    readonly expired: boolean;
    readonly authenticated: boolean;
    hasIdentityClaim(claim: Claim): boolean;
    hasAccessClaim(claim: Claim): boolean;
}
export declare class OidcProfile {
    sid: string;
    sub: string;
    auth_time: number;
    idp: string;
    name: string;
    given_name: string;
    family_name: string;
}
export declare class ClientOidcSettings {
    authorityUrl: string;
    clientId: string;
    responseType: string;
    scopes: string;
    loginRoutePath: string;
    logoutRoutePath: string;
    errorRoutePath: string;
    constructor(authorityUrl: string, clientId: string, responseType: string, scopes: string, loginRoutePath?: string, logoutRoutePath?: string, errorRoutePath?: string);
}
export declare class UserManagerSettings {
    authority?: string;
    client_id?: string;
    response_type?: string;
    scope?: any;
    redirect_uri?: any;
    post_logout_redirect_uri?: any;
    loadUserInfo?: boolean;
    login_client_url?: string;
    logout_client_url?: string;
    error_client_url?: string;
    constructor(clientOidcSettings: ClientOidcSettings, loadUserInfo: boolean, redirectUri: string, postLogoutRedirectUri: string);
}
export declare class Claim {
    name: string;
    value: string;
    constructor(name: string, value: string);
}
