import { Router } from '@angular/router';
import { Observable } from 'rxjs/Observable';
import { ClientOidcSettings, OidcUser } from './oidc.model';
import { UserManagerService } from './user.manager.service';
import { UrlService } from '../shared/services/url.service';
export declare class OidcService {
    private userManagerService;
    private router;
    private urlService;
    private authenticationSource;
    onUserDataLoaded: Observable<OidcUser>;
    constructor(userManagerService: UserManagerService, router: Router, urlService: UrlService);
    init(clientOidcSettings: ClientOidcSettings): void;
    signin(): void;
    signinCallback(): void;
    signout(): void;
    readonly user: OidcUser;
}
