import { UserManager, User } from 'oidc-client';
import { UserManagerSettings, ClientOidcSettings, OidcUser } from './oidc.model';
import { StorageService } from '../shared/services/storage.service';
import { TokenService } from '../shared/services/token.service';
export declare class UserManagerService {
    private storageService;
    private tokenService;
    constructor(storageService: StorageService, tokenService: TokenService);
    readonly userManager: UserManager;
    readonly userManagerSetting: UserManagerSettings;
    storeUser(user: User): void;
    clearUser(): void;
    getUser(): OidcUser;
    storeUserManagerSettings(clientOidcSettings: ClientOidcSettings): void;
}
